#!/bin/bash
t=`date +%Y.%h.%d-%H.%d.%S`
(
sleep 2;
echo -e "\r";
sleep 1;
echo -e "read (0-15,0-15) \r";
sleep 5;
echo -e "set voltage limit 1800 \r";
echo -e "\r";
echo -e "write (0-15,0-15) -900\r"; sleep 10;

echo -e "write (0,0) -1548\r"; sleep 2;
echo -e "write (0,1) -1437\r"; sleep 2;
echo -e "write (0,2) -1600\r"; sleep 2;
echo -e "write (0,3) -1552\r"; sleep 2;
echo -e "write (0,4) -1485\r"; sleep 2;
echo -e "write (0,5) -1563\r"; sleep 2;
echo -e "write (0,6) -1612\r"; sleep 2;
echo -e "write (0,9) -1655\r"; sleep 2;
echo -e "write (0,10) -1550\r"; sleep 2;
echo -e "write (0,11) -1441\r"; sleep 2;
echo -e "write (0,12) -1504\r"; sleep 2;
echo -e "write (0,13) -1600\r"; sleep 2;
echo -e "write (0,14) -1603\r"; sleep 2;
echo -e "write (1,0) -1530\r"; sleep 2;
echo -e "write (1,1) -1435\r"; sleep 2;
echo -e "write (1,2) -1560\r"; sleep 2;
echo -e "write (1,3) -1649\r"; sleep 2;
echo -e "write (1,4) -1643\r"; sleep 2;
echo -e "write (1,5) -1444\r"; sleep 2;
echo -e "write (1,6) -1489\r"; sleep 2;
echo -e "write (1,9) -1422\r"; sleep 2;
echo -e "write (1,10) -1453\r"; sleep 2;
echo -e "write (1,11) -1313\r"; sleep 2;
echo -e "write (1,12) -1537\r"; sleep 2;
echo -e "write (1,13) -1356\r"; sleep 2;
echo -e "write (1,14) -1588\r"; sleep 2;
echo -e "write (2,0) -1573\r"; sleep 2;
echo -e "write (2,1) -1475\r"; sleep 2;
echo -e "write (2,2) -1471\r"; sleep 2;
echo -e "write (2,3) -1693\r"; sleep 2;
echo -e "write (2,4) -1639\r"; sleep 2;
echo -e "write (2,5) -1545\r"; sleep 2;
echo -e "write (2,6) -1448\r"; sleep 2;
echo -e "write (2,9) -1686\r"; sleep 2;
echo -e "write (2,10) -1661\r"; sleep 2;
echo -e "write (2,11) -1288\r"; sleep 2;
echo -e "write (2,12) -1500\r"; sleep 2;
echo -e "write (2,14) -1622\r"; sleep 2;
echo -e "write (3,0) -1512\r"; sleep 2;
echo -e "write (3,1) -1344\r"; sleep 2;
echo -e "write (3,2) -1382\r"; sleep 2;
echo -e "write (3,3) -1470\r"; sleep 2;
echo -e "write (3,4) -1450\r"; sleep 2;
echo -e "write (3,5) -1479\r"; sleep 2;
echo -e "write (3,6) -1293\r"; sleep 2;
echo -e "write (3,9) -1480\r"; sleep 2;
echo -e "write (3,10) -1579\r"; sleep 2;
echo -e "write (3,11) -1429\r"; sleep 2;
echo -e "write (3,12) -1639\r"; sleep 2;
echo -e "write (3,13) -1317\r"; sleep 2;
echo -e "write (3,14) -1444\r"; sleep 2;
echo -e "write (4,0) -1656\r"; sleep 2;
echo -e "write (4,1) -1448\r"; sleep 2;
echo -e "write (4,2) -1509\r"; sleep 2;
echo -e "write (4,3) -1659\r"; sleep 2;
echo -e "write (4,4) -1540\r"; sleep 2;
echo -e "write (4,5) -1336\r"; sleep 2;
echo -e "write (4,6) -1378\r"; sleep 2;
echo -e "write (4,9) -1551\r"; sleep 2;
echo -e "write (4,10) -1663\r"; sleep 2;
echo -e "write (4,11) -1450\r"; sleep 2;
echo -e "write (4,12) -1668\r"; sleep 2;
echo -e "write (4,13) -1501\r"; sleep 2;
echo -e "write (4,14) -1412\r"; sleep 2;
echo -e "write (5,0) -1487\r"; sleep 2;
echo -e "write (5,1) -1389\r"; sleep 2;
echo -e "write (5,2) -1430\r"; sleep 2;
echo -e "write (5,3) -1465\r"; sleep 2;
echo -e "write (5,4) -1655\r"; sleep 2;
echo -e "write (5,5) -1496\r"; sleep 2;
echo -e "write (5,6) -1484\r"; sleep 2;
echo -e "write (5,9) -1327\r"; sleep 2;
echo -e "write (5,10) -1685\r"; sleep 2;
echo -e "write (5,11) -1388\r"; sleep 2;
echo -e "write (5,12) -1495\r"; sleep 2;
echo -e "write (5,13) -1662\r"; sleep 2;
echo -e "write (5,14) -1556\r"; sleep 2;
echo -e "write (6,0) -1639\r"; sleep 2;
echo -e "write (6,1) -1684\r"; sleep 2;
echo -e "write (6,2) -1421\r"; sleep 2;
echo -e "write (6,3) -1530\r"; sleep 2;
echo -e "write (6,4) -1418\r"; sleep 2;
echo -e "write (6,5) -1298\r"; sleep 2;
echo -e "write (6,6) -1473\r"; sleep 2;
echo -e "write (6,9) -1602\r"; sleep 2;
echo -e "write (6,10) -1617\r"; sleep 2;
echo -e "write (6,11) -1535\r"; sleep 2;
echo -e "write (6,12) -1427\r"; sleep 2;
echo -e "write (6,13) -1473\r"; sleep 2;
echo -e "write (6,14) -1403\r"; sleep 2;
echo -e "write (7,0) -1407\r"; sleep 2;
echo -e "write (7,1) -1391\r"; sleep 2;
echo -e "write (7,2) -1213\r"; sleep 2;
echo -e "write (7,3) -1505\r"; sleep 2;
echo -e "write (7,4) -1600\r"; sleep 2;
echo -e "write (7,5) -1517\r"; sleep 2;
echo -e "write (7,6) -1607\r"; sleep 2;
echo -e "write (7,9) -1458\r"; sleep 2;
echo -e "write (7,10) -1628\r"; sleep 2;
echo -e "write (7,11) -1422\r"; sleep 2;
echo -e "write (7,12) -1305\r"; sleep 2;
echo -e "write (7,13) -1549\r"; sleep 2;
echo -e "write (7,14) -1497\r"; sleep 2;
echo -e "write (8,0) -1305\r"; sleep 2;
echo -e "write (8,1) -1508\r"; sleep 2;
echo -e "write (8,2) -1289\r"; sleep 2;
echo -e "write (8,3) -1485\r"; sleep 2;
echo -e "write (8,4) -1425\r"; sleep 2;
echo -e "write (8,5) -1502\r"; sleep 2;
echo -e "write (8,6) -1622\r"; sleep 2;
echo -e "write (8,9) -1503\r"; sleep 2;
echo -e "write (8,10) -1558\r"; sleep 2;
echo -e "write (8,11) -1534\r"; sleep 2;
echo -e "write (8,12) -1543\r"; sleep 2;
echo -e "write (8,13) -1393\r"; sleep 2;
echo -e "write (8,14) -1641\r"; sleep 2;
echo -e "write (9,0) -1263\r"; sleep 2;
echo -e "write (9,1) -1318\r"; sleep 2;
echo -e "write (9,2) -1229\r"; sleep 2;
echo -e "write (9,3) -1315\r"; sleep 2;
echo -e "write (9,4) -1411\r"; sleep 2;
echo -e "write (9,5) -1456\r"; sleep 2;
echo -e "write (9,6) -1395\r"; sleep 2;
echo -e "write (9,9) -1520\r"; sleep 2;
echo -e "write (9,10) -1238\r"; sleep 2;
echo -e "write (9,11) -1611\r"; sleep 2;
echo -e "write (9,12) -1500\r"; sleep 2;
echo -e "write (9,13) -1410\r"; sleep 2;
echo -e "write (9,14) -1391\r"; sleep 2;
echo -e "write (10,0) -1334\r"; sleep 2;
echo -e "write (10,1) -1429\r"; sleep 2;
echo -e "write (10,2) -1562\r"; sleep 2;
echo -e "write (10,3) -1600\r"; sleep 2;
echo -e "write (10,4) -1525\r"; sleep 2;
echo -e "write (10,5) -1483\r"; sleep 2;
echo -e "write (10,6) -1419\r"; sleep 2;
echo -e "write (10,9) -1590\r"; sleep 2;
echo -e "write (10,10) -1591\r"; sleep 2;
echo -e "write (10,11) -1490\r"; sleep 2;
echo -e "write (10,12) -1363\r"; sleep 2;
echo -e "write (10,13) -1654\r"; sleep 2;
echo -e "write (10,14) -1500\r"; sleep 2;
echo -e "write (11,0) -1387\r"; sleep 2;
echo -e "write (11,1) -1299\r"; sleep 2;
echo -e "write (11,2) -1517\r"; sleep 2;
echo -e "write (11,3) -1412\r"; sleep 2;
echo -e "write (11,4) -1308\r"; sleep 2;
echo -e "write (11,5) -1451\r"; sleep 2;
echo -e "write (11,6) -1555\r"; sleep 2;
echo -e "write (11,9) -1668\r"; sleep 2;
echo -e "write (11,10) -1438\r"; sleep 2;
echo -e "write (11,11) -1354\r"; sleep 2;
echo -e "write (11,12) -1330\r"; sleep 2;
echo -e "write (11,13) -1383\r"; sleep 2;
echo -e "write (11,14) -1355\r"; sleep 2;
echo -e "write (12,0) -1320\r"; sleep 2;
echo -e "write (12,1) -1345\r"; sleep 2;
echo -e "write (12,2) -1377\r"; sleep 2;
echo -e "write (12,3) -1453\r"; sleep 2;
echo -e "write (12,4) -1457\r"; sleep 2;
echo -e "write (12,5) -1445\r"; sleep 2;
echo -e "write (12,6) -1395\r"; sleep 2;
echo -e "write (12,9) -1395\r"; sleep 2;
echo -e "write (12,10) -1375\r"; sleep 2;
echo -e "write (12,11) -1294\r"; sleep 2;
echo -e "write (12,12) -1607\r"; sleep 2;
echo -e "write (12,13) -1695\r"; sleep 2;
echo -e "write (12,14) -1438\r"; sleep 2;
echo -e "write (13,0) -1520\r"; sleep 2;
echo -e "write (13,1) -1596\r"; sleep 2;
echo -e "write (13,2) -1628\r"; sleep 2;
echo -e "write (13,3) -1568\r"; sleep 2;
echo -e "write (13,4) -1600\r"; sleep 2;
echo -e "write (13,5) -1614\r"; sleep 2;
echo -e "write (13,6) -1571\r"; sleep 2;
echo -e "write (13,9) -1453\r"; sleep 2;
echo -e "write (13,10) -1514\r"; sleep 2;
echo -e "write (13,11) -1518\r"; sleep 2;
echo -e "write (13,12) -1503\r"; sleep 2;
echo -e "write (13,13) -1637\r"; sleep 2;
echo -e "write (13,14) -1662\r"; sleep 2;
echo -e "write (14,0) -1513\r"; sleep 2;
echo -e "write (14,1) -1388\r"; sleep 2;
echo -e "write (14,2) -1570\r"; sleep 2;
echo -e "write (14,3) -1533\r"; sleep 2;
echo -e "write (14,4) -1482\r"; sleep 2;
echo -e "write (14,5) -1418\r"; sleep 2;
echo -e "write (14,6) -1228\r"; sleep 2;
echo -e "write (14,9) -1458\r"; sleep 2;
echo -e "write (14,10) -1278\r"; sleep 2;
echo -e "write (14,11) -1409\r"; sleep 2;
echo -e "write (14,12) -1491\r"; sleep 2;
echo -e "write (14,13) -1416\r"; sleep 2;
echo -e "write (14,14) -1272\r"; sleep 2;
echo -e "write (15,0) -1427\r"; sleep 2;
echo -e "write (15,1) -1340\r"; sleep 2;
echo -e "write (15,2) -1264\r"; sleep 2;

sleep 2;
echo -e "read (0-15,0-15)\r";
sleep 10;
echo -e "\r";
echo -e "\r";
echo -e "^]";
sleep 1;
) | telnet fms-serv.trg.bnl.local 7006 > ../log/fms_hvon_7006_$t.tex
echo Set new HV
cat ../log/fms_hvon_7006_$t.tex
